Skip to main content
POST
/
api
/
v1
/
test-management
/
{spaceSlug}
curl -X POST "https://your-collabase.ch/api/v1/test-management/my-space" \
  -H "Authorization: Bearer cba_live_xYz123ABCD..." \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Frontend QA",
    "icon": "๐Ÿงช"
  }'
{
  "id": "proj-abc123",
  "name": "Frontend QA",
  "description": null,
  "icon": "๐Ÿงช",
  "spaceId": "4d71eb4d-3638-4173-8698-d883a6c2243f"
}
Creates a new test project in the given space. Once created, you can add test suites, test cases, and test runs to the project.
You must hold write access to the target space to create a project.

Path parameters

spaceSlug
string
required
The slug of the target space. Visible in the space URL.

Request body

name
string
required
Display name for the test project.
description
string
Optional description of the test project.
icon
string
default:"๐Ÿงช"
Emoji icon for the project. Defaults to ๐Ÿงช.

Response

id
string
required
Unique identifier of the newly created test project.
name
string
required
Display name of the test project.
description
string
Description of the test project, or null if not provided.
icon
string
required
Emoji icon for the project.
spaceId
string
required
UUID of the space this project belongs to.
curl -X POST "https://your-collabase.ch/api/v1/test-management/my-space" \
  -H "Authorization: Bearer cba_live_xYz123ABCD..." \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Frontend QA",
    "icon": "๐Ÿงช"
  }'
{
  "id": "proj-abc123",
  "name": "Frontend QA",
  "description": null,
  "icon": "๐Ÿงช",
  "spaceId": "4d71eb4d-3638-4173-8698-d883a6c2243f"
}